package highlight

// ----------------------------------------------------------------------------
// !Syntax Highlighting Constants
// ----------------------------------------------------------------------------
const (
	Normal = iota
	Number
	Match
)

const HighlightNumbers = (1 << 0)

var HLDB = []*Syntax{{
	"c",
	[]string{".c", ".h", ".cpp"},
	HighlightNumbers,
}, {
	"go",
	[]string{".go"},
	HighlightNumbers,
}}
